import yaml


def load_config_from_file(config_path):
    try:
        config = yaml.safe_load(config_path)
    except Exception as E:  # noqa
        print(f"CRITICAL ERROR: Cannot load configuration file, stacktrace {E}")
        exit(1)
    if 'modules' not in config:
        print('CRITICAL ERROR: No modules list in config!')
        exit(1)
    if not isinstance(config['modules'], list):
        print('CRITICAL ERROR: Modules are not list-type!')
        exit(1)
    if len(config['modules']) < 1:
        print('CRITICAL ERROR: Zero modules loaded!')
        exit(1)
    if 'prompts' not in config:
        print('CRITICAL ERROR: No prompts list in config!')
        exit(1)
    if not isinstance(config['prompts'], list):
        print('CRITICAL ERROR: Prompts are not list-type!')
        exit(1)
    if len(config['prompts']) < 1:
        print('CRITICAL ERROR: Zero prompts loaded!')
        exit(1)
    # if not os.path.isdir('./modules'):
    #     print('CRITICAL ERROR: No ./modules directory in folder!')
    #     exit(1)
    return config
